@import "../../../_mixins.scss";
.agr-template-listing-wrapper {
  .header {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    h3 {
      margin: auto 0;
    }
  }
  .Agr-Template-users-listing__actions {
    .left {
      display: flex;
      align-items: center;
      .search {
        max-width: 400px;
        width: 400px;
        padding: 0;
      }
      .checkbox-holder {
        margin: 0 0 5px 10px;
      }
    }

    .actions-right {
      padding: 0px;
      margin-right: 15px;
      .btn.square-btn {
        margin: 0;
        img {
          padding-right: 3px;
          width: 20px;
        }
      }
      .filter-agr {
        margin-left: 10px !important;
      }
    }
  }

  .custom-filters-listing {
    .agr-applied-filters-row {
      margin-bottom: 2px;
      .agr-filter-content {
        padding-top: 2px;
        position: relative;
        padding-right: 10px;
        .agr-filter-clear-icon {
          font-size: 24px;
          display: inline-block;
          position: absolute;
          right: -7px;
          font-weight: bold;
          top: -8px;
          cursor: pointer;
        }
      }
    }
  }
}

.agr-templates-filter {
  padding: 0 0 10px 0;
  min-height: unset !important;
  gap: 30px;
  flex-wrap: nowrap !important;
  .field-section {
    padding: 0;
  }
  .field__label {
    margin-bottom: 5px;
  }
  .field__input {
    .Select-value {
      margin-top: 7px;
    }
  }
  .date-range-box {
    .date-value {
      padding: 10px;
      border: 1px solid #ccc;
      width: -webkit-fill-available;
      height: 41px;
      cursor: not-allowed;
    }
  }
}

.agr-version-split {
  margin-bottom: 10px;

  .version-column-split {
    width: 15%;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    justify-content: space-between;
    border: 1px solid lightgray;
    margin-bottom: 5px;
  }

  .agr-custom-vheading {
    font-weight: 600;
    padding: 0px 10px;
    line-height: 30px;
    text-transform: capitalize;
    background: #f7f7f7;
  }

  .version-section-row {
    display: flex;
  }
  .section-version-split {
    width: 85%;
    margin-bottom: 5px !important;
    border: 1px solid lightgray !important;
  }

  .pax8-product-split {
    margin-top: 5px;
    > .version-column-split {
      width: 100%;
      border: none;
      margin-bottom: 3px;
    }
  }

  .productbundle-split-version {
    margin-bottom: 10px;
    border: 2px solid #d4d4d4;
    > .version-column-split {
      width: 100%;
      border: none;
      margin-bottom: 3px;
    }
    .singleproduct-split-version:last-child > div {
      margin-bottom: 0 !important;
      border-bottom: 0 !important;
    }
    .singleproduct-split-version {
      display: flex;
      .version-column-split {
        border-left: none;
        margin-bottom: 3px;
      }
      .diff-view-section {
        margin-bottom: 3px !important;
        border: 1px solid lightgray !important;
        width: 85%;
      }
    }
  }

  table.css-1n5o7vh-diff-container.css-1caozzd-split-view {
    margin: 0 !important;
  }
}

.templates-overall-history-component {
  margin: 10px 0px;
  .top-action {
    padding: 5px 0 15px 0;
    .total-count {
      padding-top: 8px;
    }
  }
  .cell {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .header {
    padding-bottom: 0;
    border-top: none;
    border-bottom: 1px solid lightgray;
    font-weight: 600;
  }
  #templatesOverallHistory {
    font-size: var(--font-s);
    min-height: 100px;
    font-weight: 450;
    .row-panel {
      .cell:nth-child(3) {
        text-transform: uppercase;
      }
    }
  }
}
